//----------------------------------------------------------------------
// MODEULE: res_pwm.h
// COMMON DESCRIPTION:
//   This module contain declaration for used PWM
//----------------------------------------------------------------------
// PWM_ENABLED - if it symbol defined then PWM will be inited and enabled
//----------------------------------------------------------------------
#define PWM_ENABLED
//----------------------------------------------------------------------
#ifdef  PWM_ENABLED
  // Scale (8,9 or 10 bit)
  #define PWM_DISABLED       0x00
  #define PWM_8_BIT          0x01
  #define PWM_9_BIT          0x02
  #define PWM_10_BIT         0x03
  // Stay of channel
  #define PWM_OUT_DISABLE    0x00
  #define PWM_OUT_TOGGLE     0x01
  #define PWM_OUT_CLEAR      0x02
  #define PWM_OUT_SET        0x03
  // USER DEFINED
  #define PWM_SCALE          PWM_10_BIT
  #define PWM_CHAN_A         PWM_OUT_CLEAR
  #define PWM_CHAN_B         PWM_OUT_DISABLE
  #define PWM_DDR            DDRD
  #define PWM_PIN_A          0x05
  #define PWM_PIN_B          0x04
  // Timing constants
  #define PWM_TIME_CONST     0x01
  #define PWM_TIME_DEVIDER   0x01
  //
#endif
//----------------------------------------------------------------------
